Unfortunately, this feature is not supported on mobile devices. For the best experience, please use a computer.

project44 REST API (4.0.0)

Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.

Download OpenAPI description
Languages
Servers
NA - Endpoint for project44 tenants created in the NA region
https://na12.api.project44.com/
EU - Endpoint for project44 tenants created in the EU region
https://eu12.api.project44.com/
Sandbox - Endpoint for project44 tenants created in the sandbox environment
https://na12.api.sandbox.p-44.com/

OAuth 2.0: Client Applications

API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.

Operations

OAuth 2.0: Token Generation

API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".

To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).

Operations

Shipment: Tracking

...

Operations

Fetch the tenant shipment attributes for a shipment.

Request

Path
shipmentIdstring(uuid)required
Query
userobject(UserPrincipalDomain)required
user.​accountNonExpiredboolean
user.​accountNonLockedboolean
user.​credentialsNonExpiredboolean
user.​enabledboolean
user.​idinteger(int64)
user.​localestring
user.​registrationDatestring(date-time)
user.​tenantIdinteger(int64)
user.​tenantUuidstring(uuid)
user.​tenantPurposestring
Enum"DEFAULT""DEMO""PROOF_OF_CONCEPT""INTERNAL_TEST""TEST""PRODUCTION""ARCHIVED""INTERNAL_INFRASTRUCTURE"
user.​usernamestring
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/attributes?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string&registrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

BodyArray [
attributeNamestring[ 1 .. 255 ] characters
attributeValuesArray of strings[ 1 .. 250 ] items
]
Response
[ { "attributeName": "string", "attributeValues": [] } ]

Fetch the event history for a shipment.

Request

Required Fields

  • shipmentId
Path
shipmentIdstring(uuid)required
Query
includeRouteInfoboolean
Default false
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/eventhistory?includeRouteInfo=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
costsArray of objects(TrackedShipmentCost)

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(ShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment. Will always be in ascending order by the date the event occurred.

exceptionsArray of objects(ShipmentException)

${ShipmentEventHistory.apiModel.exceptions.value}

shipmentobject(TrackedShipment)

Shipment tracking model used to initiate a shipment.

statesArray of objects(TrackedShipmentState)

All states that the shipment was or currently is in. Order is not guaranteed.

sharingContextobject(SharingContext)

This model is populated when the data is shared across tenants, it conditionally describes which tenant(s) are involved with the shared data using tenant name and tenant UUID.

sensorContextobject(SensorContext)

${ShipmentEventHistory.apiModel.sensorContext.value}

Response
application/json
{ "costs": [ {} ], "contents": [ {} ], "events": [ {} ], "exceptions": [ {} ], "shipment": { "attributes": [], "accessGroups": [], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": {}, "routeInfo": {}, "relatedShipments": [], "shipmentShareLink": "string" }, "states": [ {} ], "sharingContext": { "dataOriginators": [], "recipients": [] }, "sensorContext": { "availableSensorTypesWithUnits": [] } }

Fetch the position history for a shipment.

Request

Required Fields

  • shipmentId
Path
shipmentIdstring(uuid)required
Query
includeRouteInfoboolean
Default false
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/positionhistory?includeRouteInfo=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
positionsArray of objects(TrackedShipmentPosition)

Locations where this shipment has been recorded. Data may be down-sampled. Will always be in ascending order by the date that the shipment was at that position.

shipmentobject(TrackedShipment)

Shipment tracking model used to initiate a shipment.

Response
application/json
{ "positions": [ {} ], "shipment": { "attributes": [], "accessGroups": [], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": {}, "routeInfo": {}, "relatedShipments": [], "shipmentShareLink": "string" } }

Fetch the shipment information including the stops and route segments.

Request

Required Fields

  • shipmentId
Path
shipmentIdstring(uuid)required
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
attributesArray of objects(CustomAttribute)[ 0 .. 25 ] items

An optional user-defined set of custom attributes to associate with this shipment.

accessGroupsArray of objects(AccessGroup)unique

This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.

createdDateTimestring(date-time)

The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.

idstring(uuid)

Master shipment id of the shipment. Will always be populated on the response.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Used to identify a shipment.

Only the following identifier types are accepted when creating or updating a shipment:

  • Air
    • AIR_WAYBILL
    • HOUSE_AIR_WAYBILL
  • European Rail
    • WAGON_ID
    • TRAIN_NUMBER
  • North American Rail
    • CONTAINER_ID
    • TRAILER_ID
    • RAIL_CAR_ID
    • BILL_OF_LADING
    • WAYBILL
  • Ocean
    • BILL_OF_LADING
    • BOOKING_NUMBER
    • CARRIER_SCAC
    • CONTAINER_ID
  • Parcel
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • TRACKING_NUMBER
    • CARRIER_SCAC
    • REFERENCE_NUMBER
  • LTL
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • PRO
    • BILL_OF_LADING
    • PICKUP
    • PURCHASE_ORDER
  • Ocean Door-to-Door
    • HOUSE_BILL_OF_LADING
    • FFW_SCAC
    • BOOKING_NUMBER
    • TRACKING_NUMBER

lastModifiedDateTimestring(date-time)

The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.

planobject(ShipmentPlan)

${ShipmentPlan.apiModel.class.value}

routeInfoobject(ShipmentRouteInfo)

Route info model that contains the stops and route for the shipment.

relatedShipmentsArray of objects(SimpleTrackedShipment)[ 0 .. 250 ] items

List of related shipments of the parent shipment. This is optional.

shipmentShareLinkstring

Public link to view the shipment in the VOC.

Response
application/json
{ "attributes": [ {} ], "accessGroups": [ {} ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ {} ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [], "exclusions": [], "vesselTracking": {} }, "routeInfo": { "routeSegments": [], "stops": [] }, "relatedShipments": [ {} ], "shipmentShareLink": "string" }

Delete shipment route from project44 to stop tracking.

Request

Stop the shipment from tracking in project44 and delete record in the UI
Note: attempting to delete shipments that have been shared to you will result in a 404.

Path
shipmentIdstring(uuid)required
curl -i -X DELETE \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Accepted

Response
application/json
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ {} ], "supportReferenceId": "92a4ff10-4bf5-448d-b1c8-9217c35a6865" }

Get full tracking history for a shipment.

Request

Required Fields

  • shipmentId
Path
shipmentIdstring(uuid)required
curl -i -X GET \
  'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking/history' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
costsArray of objects(TrackedShipmentCost)

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(ShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment. Will always be in ascending order by the date the event occurred.

exceptionsArray of objects(ShipmentException)

${ShipmentEventHistory.apiModel.exceptions.value}

positionsArray of objects(TrackedShipmentPosition)

Locations where this shipment has been recorded. Data may be down-sampled. Will always be in ascending order by the date that the shipment was at that position.

shipmentobject(TrackedShipment)

Shipment tracking model used to initiate a shipment.

statesArray of objects(TrackedShipmentState)

All states that the shipment was or currently is in. Order is not guaranteed.

sharingContextobject(SharingContext)

This model is populated when the data is shared across tenants, it conditionally describes which tenant(s) are involved with the shared data using tenant name and tenant UUID.

sensorContextobject(SensorContext)

${ShipmentEventHistory.apiModel.sensorContext.value}

Response
application/json
{ "costs": [ {} ], "contents": [ {} ], "events": [ {} ], "exceptions": [ {} ], "positions": [ {} ], "shipment": { "attributes": [], "accessGroups": [], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": {}, "routeInfo": {}, "relatedShipments": [], "shipmentShareLink": "string" }, "states": [ {} ], "sharingContext": { "dataOriginators": [], "recipients": [] }, "sensorContext": { "availableSensorTypesWithUnits": [] } }

Initialize a shipment for tracking, or replace data for an existing shipment.

Request

If the shipment does not exist, this will create a new shipment.

If the shipment is already being tracked (and the corresponding id field is provided), this operation will fully replace user provided data.Note: This modifies only data that the user has provided.

In addition, if a change occurs through this endpoint that makes a shipment no longer trackable via some source (AIR, OCEAN, RAIL, etc.) then previously received data from that source will be removed.For example, if a user creates a shipment via an AIR identifier (AIR_WAYBILL) and subsequently uses this endpoint to update the same shipment, replacing the AIR identifier with an OCEAN identifier, then any AIR data is expected to be removed from the shipment, as it is no longer tracking via AIR.

Important Notes:

  • Only the following identifier types are accepted when creating or updating a shipment:
    • Air
      • AIR_WAYBILL
      • HOUSE_AIR_WAYBILL - an additional, valid CARRIER_SCAC identifier is mandatory for HOUSE_AIR_WAYBILL tracking
      • CARRIER_SCAC
    • European Rail
      • WAGON_ID
      • TRAIN_NUMBER
    • North American Rail
      • CONTAINER_ID
      • TRAILER_ID
      • RAIL_CAR_ID
      • BILL_OF_LADING
      • WAYBILL
    • Ocean
      • BILL_OF_LADING
      • BOOKING_NUMBER
      • CARRIER_SCAC
      • CONTAINER_ID
    • Parcel
      • CAPACITY_PROVIDER_ACCOUNT_GROUP
      • CAPACITY_PROVIDER_ACCOUNT_CODE
      • TRACKING_NUMBER
      • CARRIER_SCAC
    • LTL
      • CAPACITY_PROVIDER_ACCOUNT_GROUP
      • CAPACITY_PROVIDER_ACCOUNT_CODE
      • PRO_NUMBER
      • BILL_OF_LADING
      • PICKUP
      • PURCHASE_ORDER

Required Fields

  • identifiers: (at least one)
    • type
    • value
Bodyapplication/json
attributesArray of objects(CustomAttribute)[ 0 .. 25 ] items

An optional user-defined set of custom attributes to associate with this shipment.

accessGroupsArray of objects(AccessGroup)unique

This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.

createdDateTimestring(date-time)

The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.

costsArray of objects(TrackedShipmentCost)[ 0 .. 25 ] items

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(TrackedShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment.

idstring(uuid)

Master shipment id of the shipment. Will always be populated on the response.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Used to identify a shipment.

Only the following identifier types are accepted when creating or updating a shipment:

  • Air
    • AIR_WAYBILL
    • HOUSE_AIR_WAYBILL
  • European Rail
    • WAGON_ID
    • TRAIN_NUMBER
  • North American Rail
    • CONTAINER_ID
    • TRAILER_ID
    • RAIL_CAR_ID
    • BILL_OF_LADING
    • WAYBILL
  • Ocean
    • BILL_OF_LADING
    • BOOKING_NUMBER
    • CARRIER_SCAC
    • CONTAINER_ID
  • Parcel
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • TRACKING_NUMBER
    • CARRIER_SCAC
    • REFERENCE_NUMBER
  • LTL
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • PRO
    • BILL_OF_LADING
    • PICKUP
    • PURCHASE_ORDER
  • Ocean Door-to-Door
    • HOUSE_BILL_OF_LADING
    • FFW_SCAC
    • BOOKING_NUMBER
    • TRACKING_NUMBER

lastModifiedDateTimestring(date-time)

The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.

planobject(ShipmentPlan)

${ShipmentPlan.apiModel.class.value}

routeInfoobject(ShipmentRouteInfo)

Route info model that contains the stops and route for the shipment.

relatedShipmentsArray of objects(SimpleTrackedShipment)[ 0 .. 250 ] items

List of related shipments of the parent shipment. This is optional.

shipmentShareLinkstring

Public link to view the shipment in the VOC.

curl -i -X PUT \
  https://na12.api.project44.com/api/v4/shipments/tracking \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "name": "string",
        "value": "string",
        "values": [
          "string"
        ]
      }
    ],
    "accessGroups": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    ],
    "createdDateTime": "2019-08-24T14:15:22Z",
    "costs": [
      {
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "type": "UNKNOWN",
        "totalCost": {
          "amount": 0,
          "currency": "USD"
        },
        "tier": "UNKNOWN"
      }
    ],
    "contents": [
      {
        "minTemperatureThreshold": 0.1,
        "maxTemperatureThreshold": 0.1,
        "productCategory": "UNKNOWN",
        "temperatureSetPoint": 0.1
      }
    ],
    "events": [
      {
        "dateTime": "2019-08-24T14:15:22Z",
        "description": "string",
        "dateTimes": [
          {
            "dateTime": "2019-08-24T14:15:22Z",
            "endDateTime": "2019-08-24T14:15:22Z",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "lastModifiedDateTime": "2019-08-24T14:15:22Z",
            "source": "UNKNOWN",
            "sourceIdentifiers": [
              {
                "type": "AIR_WAYBILL",
                "value": "string"
              }
            ],
            "selected": true,
            "sequence": 0,
            "type": "UNKNOWN"
          }
        ],
        "details": {
          "documentDetails": {
            "documentType": "UNKNOWN",
            "fileFormat": "UNKNOWN",
            "scope": "UNKNOWN",
            "url": "string",
            "version": 0
          },
          "mobileTracking": {
            "code": "UNKNOWN"
          },
          "ocean": {
            "code": "UNKNOWN"
          },
          "qualityControl": {
            "code": "UNKNOWN"
          },
          "rolloverDetails": {}
        },
        "estimateDateTime": "2019-08-24T14:15:22Z",
        "estimateLastCalculatedDateTime": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "plannedDateTime": "2019-08-24T14:15:22Z",
        "plannedEndDateTime": "2019-08-24T14:15:22Z",
        "receivedDateTime": "2019-08-24T14:15:22Z",
        "routeSegmentId": "a5aad6c5-e2d6-4a7a-8912-ea0254639352",
        "stopId": "dd775241-8a00-4193-b07c-f3e4740fdc43",
        "type": "UNKNOWN"
      }
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "lastModifiedDateTime": "2019-08-24T14:15:22Z",
    "plan": {
      "expectedTransportationModes": [
        "AIR"
      ],
      "exclusions": [
        {}
      ],
      "vesselTracking": {
        "enabled": true,
        "plannedVesselRouteSegments": [
          {
            "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
            "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
            "transportationMode": "AIR",
            "vesselName": "string",
            "vesselImo": "string",
            "vesselMmsi": "string"
          }
        ]
      }
    },
    "routeInfo": {
      "routeSegments": [
        {
          "emissions": {
            "co2EmissionIntensity": {
              "unit": "KG_PER_KM",
              "value": 0
            },
            "cargoWeight": {
              "unit": "LB",
              "value": 0
            },
            "distance": {
              "unit": "FT",
              "value": 0
            },
            "loadFactor": 0.1,
            "totalCO2Emissions": {
              "unit": "LB",
              "value": 0
            },
            "vehicleInfo": {
              "type": "string",
              "weight": {
                "unit": "LB",
                "value": 0
              }
            }
          },
          "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "identifiers": [
            {
              "type": "AIR_WAYBILL",
              "value": "string"
            }
          ],
          "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
          "transportationMode": "AIR"
        }
      ],
      "stops": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "masterLocationId": "0cd3d3f1-9c58-4e0d-aa5e-52a1f3317a89",
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        }
      ]
    },
    "relatedShipments": [
      {
        "attributes": [
          {
            "name": "string",
            "value": "string",
            "values": [
              "string"
            ]
          }
        ],
        "accessGroups": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          }
        ],
        "createdDateTime": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "lastModifiedDateTime": "2019-08-24T14:15:22Z",
        "plan": {
          "expectedTransportationModes": [
            "AIR"
          ],
          "exclusions": [
            {}
          ],
          "vesselTracking": {
            "enabled": true,
            "plannedVesselRouteSegments": [
              {
                "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
                "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
                "transportationMode": "AIR",
                "vesselName": "string",
                "vesselImo": "string",
                "vesselMmsi": "string"
              }
            ]
          }
        },
        "shipmentShareLink": "string"
      }
    ],
    "shipmentShareLink": "string"
  }'

Responses

OK

Bodyapplication/json
attributesArray of objects(CustomAttribute)[ 0 .. 25 ] items

An optional user-defined set of custom attributes to associate with this shipment.

accessGroupsArray of objects(AccessGroup)unique

This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.

createdDateTimestring(date-time)

The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.

costsArray of objects(TrackedShipmentCost)[ 0 .. 25 ] items

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(TrackedShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment.

idstring(uuid)

Master shipment id of the shipment. Will always be populated on the response.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Used to identify a shipment.

Only the following identifier types are accepted when creating or updating a shipment:

  • Air
    • AIR_WAYBILL
    • HOUSE_AIR_WAYBILL
  • European Rail
    • WAGON_ID
    • TRAIN_NUMBER
  • North American Rail
    • CONTAINER_ID
    • TRAILER_ID
    • RAIL_CAR_ID
    • BILL_OF_LADING
    • WAYBILL
  • Ocean
    • BILL_OF_LADING
    • BOOKING_NUMBER
    • CARRIER_SCAC
    • CONTAINER_ID
  • Parcel
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • TRACKING_NUMBER
    • CARRIER_SCAC
    • REFERENCE_NUMBER
  • LTL
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • PRO
    • BILL_OF_LADING
    • PICKUP
    • PURCHASE_ORDER
  • Ocean Door-to-Door
    • HOUSE_BILL_OF_LADING
    • FFW_SCAC
    • BOOKING_NUMBER
    • TRACKING_NUMBER

lastModifiedDateTimestring(date-time)

The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.

planobject(ShipmentPlan)

${ShipmentPlan.apiModel.class.value}

problemsArray of objects(Message)

List of errors and/or warnings that occurred while processing the request

routeInfoobject(ShipmentRouteInfo)

Route info model that contains the stops and route for the shipment.

relatedShipmentsArray of objects(SimpleTrackedShipment)[ 0 .. 250 ] items

List of related shipments of the parent shipment. This is optional.

shipmentShareLinkstring

Public link to view the shipment in the VOC.

Response
application/json
{ "attributes": [ {} ], "accessGroups": [ {} ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ {} ], "contents": [ {} ], "events": [ {} ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ {} ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [], "exclusions": [], "vesselTracking": {} }, "problems": [ {} ], "routeInfo": { "routeSegments": [], "stops": [] }, "relatedShipments": [ {} ], "shipmentShareLink": "string" }

Initialize a shipment for tracking, or append data to an existing shipment.

Request

If the shipment does not exist, this will create a new shipment.

If the shipment is already being tracked (and the corresponding id field is provided), this operation is add only for the provided fields.

Note: This operation only modifies data that the user has provided.

Important Notes:

  • Only the following identifier types are accepted when creating or updating a shipment:
    • Air
      • AIR_WAYBILL
      • HOUSE_AIR_WAYBILL - an additional, valid CARRIER_SCAC identifier is mandatory for HOUSE_AIR_WAYBILL tracking
      • CARRIER_SCAC
    • European Rail
      • WAGON_ID
      • TRAIN_NUMBER
    • North American Rail
      • CONTAINER_ID
      • TRAILER_ID
      • RAIL_CAR_ID
      • BILL_OF_LADING
      • WAYBILL
    • Ocean
      • BILL_OF_LADING
      • BOOKING_NUMBER
      • CARRIER_SCAC
      • CONTAINER_ID
    • Parcel
      • CAPACITY_PROVIDER_ACCOUNT_GROUP
      • CAPACITY_PROVIDER_ACCOUNT_CODE
      • TRACKING_NUMBER
      • CARRIER_SCAC
      • REFERENCE_NUMBER
    • LTL
      • CAPACITY_PROVIDER_ACCOUNT_GROUP
      • CAPACITY_PROVIDER_ACCOUNT_CODE
      • PRO
      • BILL_OF_LADING
      • PICKUP
      • PURCHASE_ORDER
    • Ocean Door-to-Door
      • HOUSE_BILL_OF_LADING
      • FFW_SCAC
      • BOOKING_NUMBER
      • TRACKING_NUMBER

Required Fields

  • identifiers: (at least one)
    • type
    • value
Bodyapplication/json
attributesArray of objects(CustomAttribute)[ 0 .. 25 ] items

An optional user-defined set of custom attributes to associate with this shipment.

accessGroupsArray of objects(AccessGroup)unique

This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.

createdDateTimestring(date-time)

The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.

costsArray of objects(TrackedShipmentCost)[ 0 .. 25 ] items

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(TrackedShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment.

idstring(uuid)

Master shipment id of the shipment. Will always be populated on the response.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Used to identify a shipment.

Only the following identifier types are accepted when creating or updating a shipment:

  • Air
    • AIR_WAYBILL
    • HOUSE_AIR_WAYBILL
  • European Rail
    • WAGON_ID
    • TRAIN_NUMBER
  • North American Rail
    • CONTAINER_ID
    • TRAILER_ID
    • RAIL_CAR_ID
    • BILL_OF_LADING
    • WAYBILL
  • Ocean
    • BILL_OF_LADING
    • BOOKING_NUMBER
    • CARRIER_SCAC
    • CONTAINER_ID
  • Parcel
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • TRACKING_NUMBER
    • CARRIER_SCAC
    • REFERENCE_NUMBER
  • LTL
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • PRO
    • BILL_OF_LADING
    • PICKUP
    • PURCHASE_ORDER
  • Ocean Door-to-Door
    • HOUSE_BILL_OF_LADING
    • FFW_SCAC
    • BOOKING_NUMBER
    • TRACKING_NUMBER

lastModifiedDateTimestring(date-time)

The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.

planobject(ShipmentPlan)

${ShipmentPlan.apiModel.class.value}

routeInfoobject(ShipmentRouteInfo)

Route info model that contains the stops and route for the shipment.

relatedShipmentsArray of objects(SimpleTrackedShipment)[ 0 .. 250 ] items

List of related shipments of the parent shipment. This is optional.

shipmentShareLinkstring

Public link to view the shipment in the VOC.

curl -i -X POST \
  https://na12.api.project44.com/api/v4/shipments/tracking \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "name": "string",
        "value": "string",
        "values": [
          "string"
        ]
      }
    ],
    "accessGroups": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    ],
    "createdDateTime": "2019-08-24T14:15:22Z",
    "costs": [
      {
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "type": "UNKNOWN",
        "totalCost": {
          "amount": 0,
          "currency": "USD"
        },
        "tier": "UNKNOWN"
      }
    ],
    "contents": [
      {
        "minTemperatureThreshold": 0.1,
        "maxTemperatureThreshold": 0.1,
        "productCategory": "UNKNOWN",
        "temperatureSetPoint": 0.1
      }
    ],
    "events": [
      {
        "dateTime": "2019-08-24T14:15:22Z",
        "description": "string",
        "dateTimes": [
          {
            "dateTime": "2019-08-24T14:15:22Z",
            "endDateTime": "2019-08-24T14:15:22Z",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "lastModifiedDateTime": "2019-08-24T14:15:22Z",
            "source": "UNKNOWN",
            "sourceIdentifiers": [
              {
                "type": "AIR_WAYBILL",
                "value": "string"
              }
            ],
            "selected": true,
            "sequence": 0,
            "type": "UNKNOWN"
          }
        ],
        "details": {
          "documentDetails": {
            "documentType": "UNKNOWN",
            "fileFormat": "UNKNOWN",
            "scope": "UNKNOWN",
            "url": "string",
            "version": 0
          },
          "mobileTracking": {
            "code": "UNKNOWN"
          },
          "ocean": {
            "code": "UNKNOWN"
          },
          "qualityControl": {
            "code": "UNKNOWN"
          },
          "rolloverDetails": {}
        },
        "estimateDateTime": "2019-08-24T14:15:22Z",
        "estimateLastCalculatedDateTime": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "plannedDateTime": "2019-08-24T14:15:22Z",
        "plannedEndDateTime": "2019-08-24T14:15:22Z",
        "receivedDateTime": "2019-08-24T14:15:22Z",
        "routeSegmentId": "a5aad6c5-e2d6-4a7a-8912-ea0254639352",
        "stopId": "dd775241-8a00-4193-b07c-f3e4740fdc43",
        "type": "UNKNOWN"
      }
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "lastModifiedDateTime": "2019-08-24T14:15:22Z",
    "plan": {
      "expectedTransportationModes": [
        "AIR"
      ],
      "exclusions": [
        {}
      ],
      "vesselTracking": {
        "enabled": true,
        "plannedVesselRouteSegments": [
          {
            "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
            "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
            "transportationMode": "AIR",
            "vesselName": "string",
            "vesselImo": "string",
            "vesselMmsi": "string"
          }
        ]
      }
    },
    "routeInfo": {
      "routeSegments": [
        {
          "emissions": {
            "co2EmissionIntensity": {
              "unit": "KG_PER_KM",
              "value": 0
            },
            "cargoWeight": {
              "unit": "LB",
              "value": 0
            },
            "distance": {
              "unit": "FT",
              "value": 0
            },
            "loadFactor": 0.1,
            "totalCO2Emissions": {
              "unit": "LB",
              "value": 0
            },
            "vehicleInfo": {
              "type": "string",
              "weight": {
                "unit": "LB",
                "value": 0
              }
            }
          },
          "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "identifiers": [
            {
              "type": "AIR_WAYBILL",
              "value": "string"
            }
          ],
          "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
          "transportationMode": "AIR"
        }
      ],
      "stops": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "masterLocationId": "0cd3d3f1-9c58-4e0d-aa5e-52a1f3317a89",
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        }
      ]
    },
    "relatedShipments": [
      {
        "attributes": [
          {
            "name": "string",
            "value": "string",
            "values": [
              "string"
            ]
          }
        ],
        "accessGroups": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          }
        ],
        "createdDateTime": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "lastModifiedDateTime": "2019-08-24T14:15:22Z",
        "plan": {
          "expectedTransportationModes": [
            "AIR"
          ],
          "exclusions": [
            {}
          ],
          "vesselTracking": {
            "enabled": true,
            "plannedVesselRouteSegments": [
              {
                "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b",
                "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56",
                "transportationMode": "AIR",
                "vesselName": "string",
                "vesselImo": "string",
                "vesselMmsi": "string"
              }
            ]
          }
        },
        "shipmentShareLink": "string"
      }
    ],
    "shipmentShareLink": "string"
  }'

Responses

OK

Bodyapplication/json
attributesArray of objects(CustomAttribute)[ 0 .. 25 ] items

An optional user-defined set of custom attributes to associate with this shipment.

accessGroupsArray of objects(AccessGroup)unique

This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.

createdDateTimestring(date-time)

The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.

costsArray of objects(TrackedShipmentCost)[ 0 .. 25 ] items

All costs incurred for this shipment and the assets contained within.

contentsArray of objects(TrackedShipmentContent)

Contents of the shipment, including product categories and set points for temperature sensitive shipments.

eventsArray of objects(TrackedShipmentEvent)

All events that occurred for this shipment.

idstring(uuid)

Master shipment id of the shipment. Will always be populated on the response.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Used to identify a shipment.

Only the following identifier types are accepted when creating or updating a shipment:

  • Air
    • AIR_WAYBILL
    • HOUSE_AIR_WAYBILL
  • European Rail
    • WAGON_ID
    • TRAIN_NUMBER
  • North American Rail
    • CONTAINER_ID
    • TRAILER_ID
    • RAIL_CAR_ID
    • BILL_OF_LADING
    • WAYBILL
  • Ocean
    • BILL_OF_LADING
    • BOOKING_NUMBER
    • CARRIER_SCAC
    • CONTAINER_ID
  • Parcel
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • TRACKING_NUMBER
    • CARRIER_SCAC
    • REFERENCE_NUMBER
  • LTL
    • CAPACITY_PROVIDER_ACCOUNT_GROUP
    • CAPACITY_PROVIDER_ACCOUNT_CODE
    • PRO
    • BILL_OF_LADING
    • PICKUP
    • PURCHASE_ORDER
  • Ocean Door-to-Door
    • HOUSE_BILL_OF_LADING
    • FFW_SCAC
    • BOOKING_NUMBER
    • TRACKING_NUMBER

lastModifiedDateTimestring(date-time)

The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.

planobject(ShipmentPlan)

${ShipmentPlan.apiModel.class.value}

problemsArray of objects(Message)

List of errors and/or warnings that occurred while processing the request

routeInfoobject(ShipmentRouteInfo)

Route info model that contains the stops and route for the shipment.

relatedShipmentsArray of objects(SimpleTrackedShipment)[ 0 .. 250 ] items

List of related shipments of the parent shipment. This is optional.

shipmentShareLinkstring

Public link to view the shipment in the VOC.

Response
application/json
{ "attributes": [ {} ], "accessGroups": [ {} ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ {} ], "contents": [ {} ], "events": [ {} ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ {} ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [], "exclusions": [], "vesselTracking": {} }, "problems": [ {} ], "routeInfo": { "routeSegments": [], "stops": [] }, "relatedShipments": [ {} ], "shipmentShareLink": "string" }

Append events and positions to a shipment based on identifiers.

Request

Append events and positions to an existing shipment. The existing shipment is determined by the provided top-level identifiers.

Bodyapplication/jsonrequired
eventsArray of objects(CarrierEvent)[ 0 .. 250 ] items

Events that occurred for a shipment.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Any standardized 3rd party identifier. Can be used to identify a shipment, freight, vehicle, carrier, or other freight entity.

positionsArray of objects(CarrierPosition)[ 0 .. 500 ] items

Locations where a shipment has been recorded.

curl -i -X POST \
  https://na12.api.project44.com/services/tracking/v4/events-positions \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "events": [
      {
        "description": "string",
        "dateTime": "2019-08-24T14:15:22Z",
        "estimatedDateTime": "2019-08-24T14:15:22Z",
        "location": {
          "address": {
            "addressLines": [
              "string"
            ],
            "city": "string",
            "country": "US",
            "postalCode": "string",
            "state": "string"
          },
          "coordinates": {
            "latitude": -90,
            "longitude": -180
          },
          "identifiers": [
            {
              "type": "AIRPORT_IATA",
              "value": "string"
            }
          ],
          "name": "string",
          "timeZone": "string"
        },
        "plannedDateTime": "2019-08-24T14:15:22Z",
        "plannedEndDateTime": "2019-08-24T14:15:22Z",
        "source": "UNKNOWN",
        "sourceIdentifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "type": "UNKNOWN"
      }
    ],
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "positions": [
      {
        "dateTime": "2019-08-24T14:15:22Z",
        "latitude": -90,
        "longitude": -180
      }
    ]
  }'

Responses

Accepted

Response
application/json
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ {} ], "supportReferenceId": "06e2e296-ca73-4a64-8b9a-ec17d0bdab3d" }

Send complete list of route segments for the logistics identifiers indicated in the request body.

Request

Send full route segments snapshot for an existing shipment. The existing shipment is determined by the provided top-level identifiers.

Bodyapplication/jsonrequired
identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

A list of identifiers that the given route segments pertain to.

routeSegmentsArray of objects(CarrierRouteSegment)[ 0 .. 50 ] items

The expected movements related to the given identifiers.

curl -i -X PUT \
  https://na12.api.project44.com/services/tracking/v4/route-segments \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "routeSegments": [
      {
        "fromStop": {
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        },
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "toStop": {
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        },
        "transportationMode": "AIR"
      }
    ]
  }'

Responses

Accepted

Response
application/json
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ {} ], "supportReferenceId": "726bfee1-cf14-4353-aa56-39c4961bf97c" }

Append events and positions to a shipment based on shipmentId.

Request

Append events and positions to an existing shipment based on shipmentId.

Path
shipmentIdstring(uuid)required
Bodyapplication/jsonrequired
eventsArray of objects(CarrierEvent)[ 0 .. 250 ] items

Events that occurred for a shipment.

identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

Any standardized 3rd party identifier. Can be used to identify a shipment, freight, vehicle, carrier, or other freight entity.

positionsArray of objects(CarrierPosition)[ 0 .. 500 ] items

Locations where a shipment has been recorded.

curl -i -X POST \
  'https://na12.api.project44.com/services/tracking/v4/shipments/{shipmentId}/events-positions' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "events": [
      {
        "description": "string",
        "dateTime": "2019-08-24T14:15:22Z",
        "estimatedDateTime": "2019-08-24T14:15:22Z",
        "location": {
          "address": {
            "addressLines": [
              "string"
            ],
            "city": "string",
            "country": "US",
            "postalCode": "string",
            "state": "string"
          },
          "coordinates": {
            "latitude": -90,
            "longitude": -180
          },
          "identifiers": [
            {
              "type": "AIRPORT_IATA",
              "value": "string"
            }
          ],
          "name": "string",
          "timeZone": "string"
        },
        "plannedDateTime": "2019-08-24T14:15:22Z",
        "plannedEndDateTime": "2019-08-24T14:15:22Z",
        "source": "UNKNOWN",
        "sourceIdentifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "type": "UNKNOWN"
      }
    ],
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "positions": [
      {
        "dateTime": "2019-08-24T14:15:22Z",
        "latitude": -90,
        "longitude": -180
      }
    ]
  }'

Responses

Accepted

Response
application/json
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ {} ], "supportReferenceId": "1af82975-75cd-4140-af18-c46ff501529c" }

Send complete list of route segments for the shipment.

Request

Send full route segments snapshot for an existing shipment based on the shipmentId.

Path
shipmentIdstring(uuid)required
Bodyapplication/jsonrequired
identifiersArray of objects(LogisticsIdentifier)[ 0 .. 250 ] items

A list of identifiers that the given route segments pertain to.

routeSegmentsArray of objects(CarrierRouteSegment)[ 0 .. 50 ] items

The expected movements related to the given identifiers.

curl -i -X PUT \
  'https://na12.api.project44.com/services/tracking/v4/shipments/{shipmentId}/route-segments' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "identifiers": [
      {
        "type": "AIR_WAYBILL",
        "value": "string"
      }
    ],
    "routeSegments": [
      {
        "fromStop": {
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        },
        "identifiers": [
          {
            "type": "AIR_WAYBILL",
            "value": "string"
          }
        ],
        "toStop": {
          "location": {
            "address": {
              "addressLines": [
                "string"
              ],
              "city": "string",
              "country": "US",
              "postalCode": "string",
              "state": "string"
            },
            "coordinates": {
              "latitude": -90,
              "longitude": -180
            },
            "identifiers": [
              {
                "type": "AIRPORT_IATA",
                "value": "string"
              }
            ],
            "name": "string",
            "timeZone": "string"
          },
          "type": "UNKNOWN"
        },
        "transportationMode": "AIR"
      }
    ]
  }'

Responses

Accepted

Response
application/json
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ {} ], "supportReferenceId": "37a30045-df44-4805-a198-4e51f34e1d93" }

Filter Suggestions

...

Operations

Shipment Attributes

...

Operations

Shipment: Loads

...

Operations

Order Visibility

...

Operations

LTL: Quotes

...

Operations

LTL: Dispatch

...

Operations

LTL: Image Retrieval

...

Operations

LTL: Electronic BOL

API used for creating Electronic BOL

Operations

VLTL: Quotes

...

Operations

VLTL: Dispatch

...

Operations

TL: Available Vehicles

...

Operations

TL: Connected Capacity

...

Operations

Asset Tracking

...

Operations

Multi-Modal: Image Retrieval

...

Operations

Multi-Modal: Rating

API used for multi-modal Rating.

Operations

Multi-Modal: Booking

API used for multi-modal Booking.

Operations

Multi-Modal: Packaging

API used for managing packages for shipment planning.

Operations

Multi-Modal: Document

...

Operations

Webhook

...

Operations

Shipment Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for shipments.

Operations

Inventory Order and Load Webhook Data

Operations to describe the payload expected from project44 when integrated with a webhook for orders and loads.

Operations

Capacity Provider Metadata

...

Operations

Capacity Provider Contact Management

...

Operations

Capacity Provider Account Management

...

Operations

Capacity Provider Account Group Management

...

Operations

LTL: Push Tracking

...

Operations

LTL: Push Imaging

...

Operations

TL: Capacity Provider Push

...

Operations

Parcel: Push Tracking

...

Operations

Universal Push: Truckload

...

Operations

Push Updates

...

Operations

Analytics: Port Intelligence

...

Operations

Stop Location Management

...

Operations

Postal Address Validation

...

Operations

Appointments

Create, reschedule, cancel, fetch appointments in Yard Management Systems(YMS)

Operations

Capacity

Get capacity for a YMS site within the specified time range

Operations

Milestones

Update yard milestones for a shipment

Operations

Reason Codes

Retrieve all reason codes for the specified YMS site

Operations

Site Codes

Retrieve all sites for the specified YMS tenant

Operations

Slots

Get available slots for a shipment in Yard Management Systems(YMS)

Operations

Invitations

...

Operations

Ocean: Point-to-Point Schedules

...

Operations

LTL: Tracking

...

Operations

TL: Tracking

...

Operations

TL: Webhook

...

Operations

Parcel: Tracking

...

Operations

Parcel: Webhook

...

Operations

Rail: Tracking

...

Operations

Ocean: Tracking

...

Operations